CALL_USERMODEHEL(9)

NAME
call_usermodehelper_keys - start a usermode application

SYNOPSIS

int call_usermodehelper_keys (char * path, char ** argv, char ** envp, struct key * session_keyring, int wait);

ARGUMENTS

path
    pathname for the application

argv
    null-terminated argument list

envp
    null-terminated environment list

session_keyring
    session keyring for process (NULL for an empty keyring)

wait
    wait for the application to finish and return status.

DESCRIPTION

Runs a user-space application. The application is started asynchronously if wait is not set, and runs as a child of keventd. (ie. it runs with full root capabilities).

Must be called from process context. Returns a negative error code if program was not execed successfully, or 0.